# Uses of Class
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.SubjectMatchProcessor

Packages that use SubjectMatchProcessor
Package
Description
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.

## Uses of SubjectMatchProcessor in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.saml.impl declared as SubjectMatchProcessor
Modifier and Type
Field
Description
`private SubjectMatchProcessor`
SAMLDataConnector.`subjectMatchProcessor`
Assertion validation processor.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that return SubjectMatchProcessor
Modifier and Type
Method
Description
`SubjectMatchProcessor`
SAMLDataConnector.`getSubjectMatchProcessor()`
Get the Subject match processor.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl with parameters of type SubjectMatchProcessor
Modifier and Type
Method
Description
`void`
SAMLDataConnector.`setSubjectMatchProcessor(SubjectMatchProcessor processor)`
Set the Subject match processor.